Index: cl-unification.asd
===================================================================
RCS file: /project/cl-unification/cvsroot/cl-unification/cl-unification.asd,v
retrieving revision 1.3
diff -u -r1.3 cl-unification.asd
--- cl-unification.asd	17 Apr 2009 22:42:46 -0000	1.3
+++ cl-unification.asd	18 Nov 2009 05:10:21 -0000
@@ -10,8 +10,8 @@
 
 (in-package "CL-UNIFICATION-SYSTEM")
 
-(defclass asdf-system-definition-file (asdf:cl-source-file) ())
-(defmethod source-file-type ((c asdf-system-definition-file) (s module)) "asd")
+(when (asdf:find-system 'asdf-system-connections nil)
+  (asdf:operate 'asdf:load-op 'asdf-system-connections))
 
 
 (asdf:defsystem :cl-unification
@@ -25,16 +25,12 @@
                (:file "unifier")
                (:file "match-block")
                (:file "apply-substitution")
-               #+asdf-with-optional-dependencies
-               (:module "lib-dependent"
-                :pathname "lib-dependent"
-                :depends-on ("templates-hierarchy" "unifier")
-                :components ((:file "cl-ppcre-template"
-                              :depends-on (cl-ppcre))
-                             ))
-               #-asdf-with-optional-dependencies
-               (asdf-system-definition-file
-                "cl-unification-lib")
                ))
 
+#+asdf-system-connections
+(asdf:defsystem-connection cl-unification+cl-ppcre
+  :requires (:cl-unification :cl-ppcre)
+  :components ((:module "lib-dependent"
+                :components ((:file "cl-ppcre-template")))))
+
 ;;;; end of file -- cl-unification.asd --
